Name:		perl-Jcode
Version:	2.07
Release:    1%{?dist}
Summary:	Perl extension interface for converting Japanese text
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Jcode
Source0:	https://cpan.metacpan.org/authors/id/D/DA/DANKOGAI/Jcode-%{version}.tar.gz
Patch0:		Jcode-2.07-UTF-8.patch
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Carp)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Encode::Alias)
BuildRequires:	perl(Encode::Guess)
BuildRequires:	perl(Encode::JP::H2Z)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(diagnostics)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
Requires:	perl(Encode)
Requires:	perl(Encode::Alias)
Requires:	perl(Encode::Guess)
Requires:	perl(Encode::JP::H2Z)
Requires:	perl(MIME::Base64)
Requires:	perl(Scalar::Util)

%description
%{summary}.

%prep
%setup -q -n Jcode-%{version}

%patch -P 0 -p1 -b .timestamp
touch --reference=Jcode/Nihongo.pod.timestamp Jcode/Nihongo.pod
rm Jcode/Nihongo.pod.timestamp

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes* README
%{perl_vendorlib}/Jcode.pm
%dir %{perl_vendorlib}/Jcode/
%doc %{perl_vendorlib}/Jcode/Nihongo.pod
%{_mandir}/man3/Jcode.3*
%{_mandir}/man3/Jcode::Nihongo.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.07-1
- initial build
